mss =
  [[ 127]
  ,[ 381,  -4407]
  ,[ 762, -17628,    89676]
  ,[1270, -44070,   287090,   1809990]
  ,[1905, -88140,   377400,  30449055,  -359944290]
  ,[2667,-154245,  -248430, 175133595, -3837143457, 24526699470]
  ,[3178,-160860,-10893260,1060859100,-31718975498,403512607260,-1785690607680]
  ]

f i y = foldl (\a x -> a*y + x) 0 $ mss !! i
a y = [f i y | i <- [0..5]]

g1 y xs = sum $ zipWith (/) xs [y**i       | i <- [2..]]
g2 y xs = sum $ zipWith (/) xs [y**i/(i+1) | i <- [2..]]
g3 y = let xs = [f i y | i <- [0..6]] in (g2 y xs, g1 y xs)
xs = [127,10833,603756,24061590,697697910,13588793190,157713685920,810492071760,1130656060800,41513472000]
g = let y = 40 in (g2 y xs, g1 y xs)

